Debian Bug report logs - #456741
gbsplay: Please do not depend on xmms-dev

version graph

Package: gbsplay; Maintainer for gbsplay is Gürkan Sengün <gurkan@phys.ethz.ch>; Source for gbsplay is src:gbsplay.

Reported by: Kumar Appaiah <akumar@ee.iitm.ac.in>

Date: Mon, 17 Dec 2007 17:09:10 UTC

Severity: important

Found in version gbsplay/0.0.8+dfsg1-2

Fixed in version gbsplay/0.0.8+dfsg1-3

Done: Gürkan Sengün <gurkan@linuks.mine.nu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#456741; Package gbsplay. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: submit@bugs.debian.org
Subject: gbsplay: should this package be orphaned?
Date: Mon, 17 Dec 2007 22:25:27 +0530
[Message part 1 (text/plain, inline)]
Package: gbsplay
Version: 0.0.8+dfsg1-2
Severity: important
User: debian-qa@lists.debian.org
Usertags: proposed-removal

Hi,

While reviewing some packages, your package came up as a possible
candidate for removal from Debian, because:

 * The package depends on XMMS, which is slated to be removed.

If you think that it should be orphaned instead of being removed from
Debian, please reply to this bug and tell so.

One possible solution is that this package could be adapted to use an
XMMS alternative. If this is the case, please package the plugin for
the XMMS alternative, and do not depend on XMMS.

If you agree, sending the following commands to control@bugs.debian.org
should do it (after replacing nnnnnn with this bug's number):
severity nnnnnn normal
reassign nnnnnn ftp.debian.org
retitle nnnnnn RM: <packagename> -- RoM; <reasons> 
thanks

For more information, see
http://wiki.debian.org/ftpmaster_Removals
http://ftp-master.debian.org/removals.txt

If you disagree and want to continue to maintain this package, please
just close this bug, preferably in an upload also fixing the other
issues.

Thank you,
Kumar (on behalf of the QA group)
-- 
Kumar Appaiah,
458, Jamuna Hostel,
Indian Institute of Technology Madras,
Chennai - 600 036
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `gbsplay: should this package be removed' from `gbsplay: should this package be orphaned?'. Request was from Kumar Appaiah <akumar@ee.iitm.ac.in> to control@bugs.debian.org. (Mon, 17 Dec 2007 17:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to `rocklight: should this package be removed?' from `gbsplay: should this package be removed'. Request was from Kumar Appaiah <akumar@ee.iitm.ac.in> to control@bugs.debian.org. (Mon, 17 Dec 2007 17:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#456741; Package gbsplay. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: Kumar Appaiah <akumar@ee.iitm.ac.in>, 456741@bugs.debian.org
Cc: submit@bugs.debian.org, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#456741: gbsplay: should this package be orphaned?
Date: Mon, 17 Dec 2007 18:59:13 +0100
On 2007-12-17 18:24:27 +0100 Kumar Appaiah <akumar@ee.iitm.ac.in> 
wrote:

> Package: gbsplay
> Version: 0.0.8+dfsg1-2
> Severity: important
> User: debian-qa@lists.debian.org
> Usertags: proposed-removal
> 
> Hi,

Hello

> While reviewing some packages, your package came up as a possible
> candidate for removal from Debian, because:
> 
> * The package depends on XMMS, which is slated to be removed.

The package can work perfectly without xmms-dev, please before you file
such bug reports, check if it can do so.

> If you think that it should be orphaned instead of being removed from
> Debian, please reply to this bug and tell so.

I think it should not be orphaned, and not be removed.

> One possible solution is that this package could be adapted to use an
> XMMS alternative. If this is the case, please package the plugin for
> the XMMS alternative, and do not depend on XMMS.

If you want to do that, you can. I won't stop you. Personally I don't 
use
xmms, and I don't really care about the plugin, so I'll just remove it.

> If you agree, sending the following commands to 
> control@bugs.debian.org
> should do it (after replacing nnnnnn with this bug's number):
> severity nnnnnn normal
> reassign nnnnnn ftp.debian.org
> retitle nnnnnn RM: <packagename> -- RoM; <reasons> thanks

I don't agree with your bug.

> For more information, see
> http://wiki.debian.org/ftpmaster_Removals
> http://ftp-master.debian.org/removals.txt
> 
> If you disagree and want to continue to maintain this package, please
> just close this bug, preferably in an upload also fixing the other
> issues.

You could do that also, couldn't you?

Thank you,
Guerkan

-- 
while(!asleep()) sheep++;





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#456741; Package gbsplay. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Changed Bug title to `gbsplay: should this package be removed?' from `rocklight: should this package be removed?'. Request was from Kumar Appaiah <akumar@ee.iitm.ac.in> to control@bugs.debian.org. (Mon, 17 Dec 2007 18:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@linuks.mine.nu>:
Bug#456741; Package gbsplay. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@linuks.mine.nu>. Full text and rfc822 format available.

Message #26 received at 456741@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: Gürkan Sengün <gurkan@linuks.mine.nu>
Cc: 456741@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#456741: gbsplay: should this package be orphaned?
Date: Tue, 18 Dec 2007 00:05:48 +0530
[Message part 1 (text/plain, inline)]
retitle 456741 gbsplay: Please do not depend on xmms-dev
thanks

Dear Guerkan,

On Mon, Dec 17, 2007 at 06:59:13PM +0100, Gürkan Sengün wrote:
> The package can work perfectly without xmms-dev, please before you file
> such bug reports, check if it can do so.

I owe you an apology here. While I made my best attempt to catch the
packages which didn't need XMMS to run, I overlooked yours.

> I think it should not be orphaned, and not be removed.

And I agree.

> If you want to do that, you can. I won't stop you. Personally I don't use
> xmms, and I don't really care about the plugin, so I'll just remove it.

If you, as the maintainer feel that that would be all right, then this
bug should be closed with the next upload, which purges the xmms
dependent package.

> I don't agree with your bug.

Now you can. :-)

>> If you disagree and want to continue to maintain this package, please
>> just close this bug, preferably in an upload also fixing the other
>> issues.
>
> You could do that also, couldn't you?

No, as I have said, please remove the plugin and close the bug.

Yet again, please accept my apology.

Kumar
-- 
Kumar Appaiah,
458, Jamuna Hostel,
Indian Institute of Technology Madras,
Chennai - 600 036
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `gbsplay: Please do not depend on xmms-dev' from `gbsplay: should this package be removed?'. Request was from Kumar Appaiah <akumar@ee.iitm.ac.in> to control@bugs.debian.org. (Mon, 17 Dec 2007 18:39:09 GMT) Full text and rfc822 format available.

Reply sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 456741-close@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 456741-close@bugs.debian.org
Subject: Bug#456741: fixed in gbsplay 0.0.8+dfsg1-3
Date: Sat, 12 Jan 2008 12:17:03 +0000
Source: gbsplay
Source-Version: 0.0.8+dfsg1-3

We believe that the bug you reported is fixed in the latest version of
gbsplay, which is due to be installed in the Debian FTP archive:

gbsplay_0.0.8+dfsg1-3.diff.gz
  to pool/main/g/gbsplay/gbsplay_0.0.8+dfsg1-3.diff.gz
gbsplay_0.0.8+dfsg1-3.dsc
  to pool/main/g/gbsplay/gbsplay_0.0.8+dfsg1-3.dsc
gbsplay_0.0.8+dfsg1-3_amd64.deb
  to pool/main/g/gbsplay/gbsplay_0.0.8+dfsg1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 456741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gürkan Sengün <gurkan@linuks.mine.nu> (supplier of updated gbsplay package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 12:57:40 +0100
Source: gbsplay
Binary: gbsplay
Architecture: source amd64
Version: 0.0.8+dfsg1-3
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@linuks.mine.nu>
Changed-By: Gürkan Sengün <gurkan@linuks.mine.nu>
Description: 
 gbsplay    - A Gameboy sound player
Closes: 456741
Changes: 
 gbsplay (0.0.8+dfsg1-3) unstable; urgency=low
 .
   * Remove build-depends on xmms-dev and don't build the xmms
     plugin anymore. (Closes: #456741)
   * Bump standards version.
Files: 
 32d1bdaa487696eeda1e4962efac6e2c 649 sound optional gbsplay_0.0.8+dfsg1-3.dsc
 58fa5c29b1646875cbbe1c5c51252676 2892 sound optional gbsplay_0.0.8+dfsg1-3.diff.gz
 1ea20ea661ec9799482319822bdb4bf5 53776 sound optional gbsplay_0.0.8+dfsg1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiK8B7Ro5M7LPzdgRAiANAKCfYU2DUP3VOxZzx+tk/Ne09iOfGgCgpMrh
iTXyzJ1xn2J2rEFFES1dQY8=
=c24E
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Mar 2008 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:14:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.